/*=================================================================*\
  Example: NEWTON
  Hallo Dirk, hier musst du noch was zur Literatur schreiben.
\*=================================================================*/
clear all
set mem 10m
set more off

insheet using newton.txt

cap program drop genetic
program define genetic
	tempvar score xb
	qui gen double `xb' = x2*dna[1,1] + x3*dna[1,1]^2 + dna[1,2] 
	qui egen double `score' = sum((y-`xb')^2)
	qui matrix dna[1,$DNAFIT] = 1/`score'[1]
end

dna clear
dna fun genetic
dna len 2
dna pop 30
dna off 60
dna rad 1 20
dna mut 1 20
dna gen 250
dna sel 1
dna def 1 -5 5
dna def 2 -5 5
dna info
dna go
